TokenStreamFromTermPositionVector (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.highlight.TokenStreamFromTermPositionVector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.highlight
Class TokenStreamFromTermPositionVector

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.search.highlight.TokenStreamFromTermPositionVector

All Implemented Interfaces:
  Closeable

    public final class TokenStreamFromTermPositionVector

extends TokenStream

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Constructor Summary
`TokenStreamFromTermPositionVector(TermPositionVector termPositionVector)` Constructor.

Method Summary
`boolean` | `incrementToken()` Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token.
`void` | `reset()` Resets this stream to the beginning.

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenStreamFromTermPositionVector

    public TokenStreamFromTermPositionVector(TermPositionVector termPositionVector)

  Constructor.

  Parameters:
    `termPositionVector` - TermPositionVector that contains the data for creating the TokenStream. Must have positions and offsets.

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Description copied from class: `TokenStream`
  Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token. Implementing classes must implement this method and update the appropriate `AttributeImpl`s with the attributes of the next token.

  The producer must make no assumptions about the attributes after the method has been returned: the caller may arbitrarily change it. If the producer needs to preserve the state for subsequent calls, it can use `AttributeSource.captureState()` to create a copy of the current attribute state.

  This method is called for every token of a document, so an efficient implementation is crucial for good performance. To avoid calls to `AttributeSource.addAttribute(Class)` and `AttributeSource.getAttribute(Class)`, references to all `AttributeImpl`s that this stream uses should be retrieved during instantiation.

  To ensure that filters and consumers know which attributes are available, the attributes must be added during instantiation. Filters and consumers are not required to check for availability of attributes in `TokenStream.incrementToken()`.

  Specified by:
    `incrementToken` in class `TokenStream`
  Returns:
    false for end of stream; true otherwise
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Description copied from class: `TokenStream`
  Resets this stream to the beginning. This is an optional operation, so subclasses may or may not implement this method. `TokenStream.reset()` is not needed for the standard indexing process. However, if the tokens of a `TokenStream` are intended to be consumed more than once, it is necessary to implement `TokenStream.reset()`. Note that if your TokenStream caches tokens and feeds them back again after a reset, it is imperative that you clone the tokens when you store them away (on the first pass) as well as when you return them (on future passes after `TokenStream.reset()`).

  Overrides:
    `reset` in class `TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD